TransportConfigurationEncodingSupport (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.jms.server.config.impl

## Class TransportConfigurationEncodingSupport

- java.lang.Object
- - org.apache.activemq.artemis.jms.server.config.impl.TransportConfigurationEncodingSupport

-     public class TransportConfigurationEncodingSupport
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransportConfigurationEncodingSupport()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TransportConfiguration` | `decode(ActiveMQBuffer buffer)`
    `static List<Pair<TransportConfiguration,TransportConfiguration>>` | `decodeConfigs(ActiveMQBuffer buffer)`
    `static void` | `encode(ActiveMQBuffer buffer, TransportConfiguration config)`
    `static void` | `encodeConfigs(ActiveMQBuffer buffer, List<Pair<TransportConfiguration,TransportConfiguration>> configs)`
    `static int` | `getEncodeSize(List<Pair<TransportConfiguration,TransportConfiguration>> configs)`
    `static int` | `getEncodeSize(TransportConfiguration config)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransportConfigurationEncodingSupport

          public TransportConfigurationEncodingSupport()

  - ### Method Detail

    - #### decodeConfigs

          public static List<Pair<TransportConfiguration,TransportConfiguration>> decodeConfigs(ActiveMQBuffer buffer)

    - #### decode

          public static TransportConfiguration decode(ActiveMQBuffer buffer)

    - #### encodeConfigs

          public static void encodeConfigs(ActiveMQBuffer buffer,
                                           List<Pair<TransportConfiguration,TransportConfiguration>> configs)

    - #### encode

          public static void encode(ActiveMQBuffer buffer,
                                    TransportConfiguration config)

    - #### getEncodeSize

          public static int getEncodeSize(TransportConfiguration config)

    - #### getEncodeSize

          public static int getEncodeSize(List<Pair<TransportConfiguration,TransportConfiguration>> configs)

Copyright © 2015. All rights reserved.